# Modmail for Discord
Modmail Bot is a bot for [Discord](https://discordapp.com/) that allows users to DM the bot to contact the server's moderators/staff
without messaging them individually or pinging them publically on the server.
These DMs get relayed to modmail *threads*, channels where staff members can reply to and talk with the user.
To the user, the entire process happens in DMs with the bot.

Inspired by Reddit's modmail system.

**⚠ Note on updating to v3.0.0:** If you're currently using a *very* old version of the bot, from before February 2018, you'll first need to update to v2.30.1 and run the bot once before updating to v3.0.0.

Always take a backup of your `db/data.sqlite` file before updating the bot.

## Getting started
* **[🛠️ Setting up the bot](docs/setup.md)**
* **[✨ Updating the bot](docs/updating.md)**
* **[🙋 Frequently Asked Questions](docs/faq.md)**
* [📝 Configuration](docs/configuration.md)
* [🤖 Commands](docs/commands.md)
* [📋 Snippets](docs/snippets.md)
* [🧩 Plugins](docs/plugins.md)
* [Release notes](CHANGELOG.md)
* [**Community Guides & Resources**](https://github.com/Dragory/modmailbot-community-resources)

## Support server
If you need help with setting up the bot or would like to discuss other things related to it, join the support server on Discord here:

👉 **[Join support server](https://discord.gg/vRuhG9R)**
